electron 入门打包初体验

https://www.cnblogs.com/chechen/p/10894808.html electron 快速入门 !!!

https://www.jianshu.com/p/62c45eddba4c   https://blog.csdn.net/valada/article/details/86188123

https://blog.csdn.net/yu17310133443/article/details/79494953 Electron 开发桌面应用(一) 编写→运行→打包

https://blog.csdn.net/HaoDaWang/article/details/78159989?utm_medium=distribute.pc_relevant.none-task-blog-BlogCommendFromMachineLearnPai2-1.channel_param&depth_1-utm_source=distribute.pc_relevant.none-task-blog-BlogCommendFromMachineLearnPai2-1.channel_param  教你如何创建第一个electron应用 并进行打包【超详细】

https://blog.csdn.net/zcy_csdn123/article/details/102485857?utm_medium=distribute.pc_relevant.none-task-blog-BlogCommendFromMachineLearnPai2-3.channel_param&depth_1-utm_source=distribute.pc_relevant.none-task-blog-BlogCommendFromMachineLearnPai2-3.channel_param  解决electron 下载慢的办法

--version does not take an argument. Perhaps you meant --app-version or --electron-version? 打包失败 https://blog.csdn.net/sea_fest/article/details/108452300 

安装命令

$ npm install electron -g

慢的话:
$ cnpm install electron -g

打包

electron-packager <应用目录> <应用名称> <打包平台> --out <输出目录> <架构> <应用版本>

于是我们愉快的进行打包。 
发现它并不行! 
报出一个提示

Unable to determine Electron version. Please specify an Electron version

他说我们需要指明Electron version。这个参数是当前安装Electron的版本,不知道的可以直接electron就能看到了,我这里是11.0.1,经过改进后如下

打包命令:

"electron-packager . Myapp --win --out myapp --arch=x64 --myapp-version=1.0.0 --electron-version=11.0.1"

把它添加到package.json

"scripts": {
    "test": "echo \"Error: no test specified\" && exit 1",
    "start": "electron .",
    "build": "electron-packager .  electron_demo --platform=darwin --arch=x64 --ignore=node_modules/electron-*",
    "package": "electron-packager ./  myapp --platform=win32 --arch=x64 --out=./app --electron-version=11.0.1"
  },

 

已标记关键词 清除标记
©️2020 CSDN 皮肤主题: 点我我会动 设计师:上身试试 返回首页